Navigation

Install MongoDB

MongoDB is available in two editions: Community and Enterprise.

This section of the manual contains information on installing MongoDB.

Starting in 3.6, each MongoDB installer is packaged with a platform-specific MongoDB Compass installation script. This script installs MongoDB Compass as part of the MongoDB Server installation process.

Supported Platforms

Changed in version 3.4: MongoDB no longer supports 32-bit x86 platforms.

x86_64

Platform Support EOL Notice

Debian 7 Support removed in MongoDB 3.6.6+.
SLES 11 Support removed in MongoDB 3.6.4+.
Ubuntu 12.04 Support removed in MongoDB 3.6.4+.
macOS 10.9 and previous Support removed in MongoDB 3.6+.

Platform 3.6 Community & Enterprise 3.4 Community & Enterprise 3.2 Community & Enterprise
Amazon Linux 2013.03 and later
Debian 9 3.6.5+    
Debian 8
RHEL/CentOS/Oracle Linux [1] 8.0 and later 3.6.17+    
RHEL/CentOS/Oracle Linux [1] 7.0 and later
RHEL/CentOS/Oracle Linux [1] 6.2 and later
RHEL/CentOS/Oracle Linux [1] 8.0 and later 3.6.17+    
SLES 12  
Solaris 11 64-bit   Community only Community only
Ubuntu 16.04
Ubuntu 14.04
Windows 10 / Server 2016
Windows 8.1 / Server 2012 R2
Windows 8 / Server 2012
Windows 7 / Server 2008 R2
Windows Vista  
macOS 10.10 - 12  
macOS 10.8 and 10.9  
[1](1, 2, 3, 4) MongoDB only supports Oracle Linux running the Red Hat Compatible Kernel (RHCK). MongoDB does not support the Unbreakable Enterprise Kernel (UEK).

ARM64

Platform 3.6 Community & Enterprise 3.4 Community & Enterprise
Ubuntu 16.04

PPC64LE (MongoDB Enterprise Edition)

Platform 3.6 Enterprise 3.4 Enterprise
RHEL/CentOS 7.1
Ubuntu 16.04 Removed starting in 3.6.13 Removed starting in 3.4.21

s390x (MongoDB Enterprise Edition)

Platform Support EOL Notice

  • MongoDB 3.6 and 3.4 are no longer supported on the s390x platform. Please upgrade to MongoDB 4.0+ for Enterprise support or MongoDB 4.2+ for Community support on the s390x platform.
Platform 3.6 Enterprise 3.4 Enterprise
RHEL/CentOS 7 Removed starting in 3.6.17 Removed starting in 3.4.14
RHEL/CentOS 6 Removed starting in 3.6.14 Removed starting in 3.4.22
SLES 12 Removed starting in 3.6.17 Removed starting in 3.4.13
SLES 11 Removed starting in 3.6.4 Removed starting in 3.4.15
Ubuntu 16.04 Removed starting in 3.6.16 Removed starting in 3.4.14